<!-- [QPRTemplateStart: headerview.tpl] -->
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.menu.js"></script>
<script type="text/javascript" src="<#ScriptFileLocation>factview.js"></script>

<script type="text/javascript">
var _sShownLayerId, _sShownSubHeader, _sMenuURL, _sMenuURLOID, _sParameters = "";
var undefined;

var sDefaultHeader = 'mycontents';
var sDefaultSubHeader_mycontents = 'home';
var sDefaultSubHeader_processes = 'PGPLUGIN_processmaps';
var sDefaultSubHeader_scorecards = 'SCPLUGIN_scorecards';
//var sDefaultSubHeader_documents = 'reports';
var sDefaultSubHeader_actions = 'discussion';
var sDefaultSubHeader_reports = 'viewreports';
var sDefaultSubHeader_workflows = 'workflows';
var sDefaultSubHeader_qlikview = 'qlikview_main';
var _arTabs = new Array();
var _arSubHeaders = new Array();
var _arQuickLinks = new Array();

var _oFeatureLicenseIds = {
  SearchCentral:    6,
  AfMO:             9,
  ExcelExport:      10,
  PowerPointExport: 11,
  Workflow:         15,
  Actions:          16
};

// Create quickhand functions for licensed features
$.each(_oFeatureLicenseIds, function(vsFeature, vsId) {
  window['bIsLicensed' + vsFeature] = function() {
    return (<#LicensedFeatures> & (1 << (vsId - 1))) > 0;
  };
});

// Just hide tabs that are not licensed. The actual license check is made
// elsewhere.
$(document).ready(function() {
  $.each([

    // Tabs that only work if licensed
    [ 'actions', bIsLicensedActions ],
    [ 'workflows', bIsLicensedWorkflow ],
    [ 'reports', bIsLicensedAfMO ]

  ], function() {
    var sName = this[0];

    if ( !this[1]() ) {
      $('#HeaderItem_' + sName).hide();
      $.each(_arTabs, function() {
        if ( this.sName == sName ) this.bVisible = false;
      });
    }
  });
});

function bIsHeaderView()
{
  return true;
}

function bIsCurrentView(vsViewDescriptor, vsSubViewDescriptor)
{
  return (sGetViewDescriptor() == vsViewDescriptor) && 
         (sGetSubViewDescriptor() == vsSubViewDescriptor);
}

function FNewToolbarItem(vsName, vsLabel, vsParent, vsParameters, vsParameterGroup, vslParameterGroupParameters, vbVisible)
{
  var oItem = new Object();

  oItem.sName = vsName;
  oItem.sLabel = vsLabel;
  oItem.sParent = vsParent;
  oItem.bIsHidden = false;
  oItem.sParameters = vsParameters;
  oItem.sParameterGroup = vsParameterGroup;
  oItem.slParameterGroupParameters = vslParameterGroupParameters;
  oItem.bVisible = vbVisible;

  return oItem;
}

function bHasAccessToDynamicUrl(vsUrl)
{
  if (!bIsDynamicBookmarkURL(vsUrl))
    return true;
  else if ((vsUrl.slice(0, 9) === "QPRPORTAL") || (vsUrl.slice(0, 6) === "QPRWAS"))
    return <#HasRights product="portal" checkpluginexists="1" level="view" true="true" false="false">;
  else if (vsUrl.slice(0, 8) === "PGPLUGIN")
    return <#HasRights product="PG" checkpluginexists="1" level="view" true="true" false="false">;
  else if (vsUrl.slice(0, 8) === "SCPLUGIN")
    return <#HasRights product="SC" checkpluginexists="1" level="view" true="true" false="false">;
  else
    return false;
}
  
function FNewQuickLink(vsId, vsLabel, viType, viMode, vsUrl, vsExtraParams)
{
  if (!bHasAccessToDynamicUrl(vsUrl))
    return null;  

  var oLink = new Object();
  oLink.psId = vsId;
  oLink.psLabel = vsLabel;
  oLink.piType = viType;
  oLink.piMode = viMode;
  if (vsUrl) {
    if (vsExtraParams) 
      oLink.psUrl = vsUrl + "&" + vsExtraParams;
    else
      oLink.psUrl = vsUrl;
  }
  else
    oLink.psUrl = "";
  _arQuickLinks.push(oLink);
  return oLink;
}

function FNewTopLevelToolbarItem(vsName, vsLabel, vbURLOnly, vbVisible)
{
  var undefined;
  var oResult = FNewToolbarItem(vsName, vsLabel, undefined, undefined, undefined, undefined, vbVisible);
  oResult.bURLOnly = vbURLOnly;
  return oResult;
}

function FRegisterNewToolbarTab(vsName, vsLabel, vbURLOnly, vbVisible)
{
  var oResult = FNewTopLevelToolbarItem(vsName, vsLabel, vbURLOnly, vbVisible);
  _arTabs.push(oResult);

  if (!vbVisible) {
    var oHeaderItem = document.getElementById("HeaderItem_" + vsName);
    $(oHeaderItem).css("display", "none");
  }

  return oResult;
}

function FRegisterNewToolbarSubView(vsName, vsLabel, vsTab, vsParameters, vsParameterGroup, vsParameterGroupParameters, vbVisible)
{
  var oResult = FNewToolbarItem(vsName, vsLabel, vsTab, vsParameters, vsParameterGroup, vsParameterGroupParameters.split(","), vbVisible);
  _arSubHeaders.push(oResult);
  var oTab = oGetTab(vsTab);
  if (oTab) {
    if (typeof(oTab.arSubHeaders) === "undefined")
      oTab.arSubHeaders = new Array();
    oTab.arSubHeaders.push(oResult);
  }
  
  if (!vbVisible) {
    var oHeaderItem = document.getElementById("SubHeaderItem_" + vsName);
    $(oHeaderItem).css("display", "none");
  }
  
  return oResult;
}

function sDirectGetNamedVariableValue(vsVarName, vbRuntime)
{
  return window[vsVarName + (vbRuntime ? '_runtime' : '')] || '';
}

function sGetNamedVariableValue(vsVarName)
{
  var sResult = sDirectGetNamedVariableValue(vsVarName, true);
  if (!sResult)
    return sDirectGetNamedVariableValue(vsVarName);
  return sResult;
}

function SetNamedVariableValue(vsVarName, vsVarValue, vbRuntime)
{
  window[vsVarName + (vbRuntime ? '_runtime' : '')] = vsVarValue;
}

function sGetHierarchyViewParameter(vsTabName, vsParamName)
{
  var sKey = oGetHeaderView().sGetNamedVariableValue('sDefaultSubHeader_' + vsTabName);
  var sValue = oGetHeaderView().sGetNamedVariableValue('sDefaultView_' + vsTabName + '_' + sKey);
  var slParams = sValue.split('?');
  slParams = slParams[0].split('&');
  var i, iPos;
  for (i = 0; i < slParams.length; ++i) {
    iPos = slParams[i].indexOf(vsParamName + '=');
    if (iPos != -1)
      return slParams[i].substr(iPos + vsParamName.length + 1);
  }
}

function SetHierarchyViewParameter(vsTabName, vsParamName, vsParamValue)
{
  var sKey = sGetNamedVariableValue('sDefaultSubHeader_' + vsTabName);
  sKey = 'sDefaultView_' + vsTabName + '_' + sKey;
  var sValue = sGetNamedVariableValue(sKey);
  var slAllParams = sValue.split('?');
  slAllParams[0] = sSetParameter(vsParamName, vsParamValue, slAllParams[0]);
  var sNewValue = slAllParams.join('?');
  SetNamedVariableValue(sKey, sNewValue, true);
}

function SetDefaultHeader(vsHeader)
{
  SetNamedVariableValue("sDefaultHeader", vsHeader);
}

function SetDefaultSubHeader(vsHeader, vsSubHeader, vbRuntime)
{
  SetNamedVariableValue("sDefaultSubHeader_" + vsHeader, vsSubHeader, vbRuntime);
}

function SetDefaultViewSettings(vsHeaderAndSubHeader, vsSettings)
{
  SetNamedVariableValue("sDefaultView_" + vsHeaderAndSubHeader, vsSettings);
}

<#DefaultHeaders HOMEHDR="mycontents" HOMESUBHDR="home">

function OpenMenuView(vsParameters, vbDontStoreParameters, vsHierarchy)
{
  vsParameters = vsParameters.split("?")[0]; // filter out possible object ids

  if (!vbDontStoreParameters)
    _sParameters = vsParameters;

  var oItem = oGetSubHeaderItem(vsHierarchy);
  if (oItem && oItem.OpenSubViewHandler) {
    oItem.OpenSubViewHandler();
  }
  else { 
    var sURL = _sMenuURL;
    if (_sMenuURLOID && (_sMenuURLOID.length > 0))
      sURL += _sMenuURLOID
    var sParams = vsParameters;
  
    if (oItem && oItem.sParameters && (oItem.sParameters.length > 0)) {
      if (sParams && (sParams.length > 0))
        sParams += '&' + oItem.sParameters;
      else
        sParams += oItem.sParameters;
    }
    var oMainView = oGetMainView();
    var sTPL = sGetParameter("HIERARCHY_TPL", sParams);
    if (sTPL != "") {
      sURL = sSetParameter(ACT_PARAM_TEMPLATE, sTPL, sURL);
      sParams = sRemoveParameter("HIERARCHY_TPL", sParams);
  
      var sPlugin = sGetParameter("PLUGIN", sParams);
      if (sPlugin != "") {
        sURL = sSetPlugin(sSetAction(sURL, ACT_COM_TABLE_VIEW), sPlugin);
        sParams = sRemoveParameter("PLUGIN", sParams);
      }
    }
    else
      sURL = sSetParameter(ACT_PARAM_TEMPLATE, "hierarchytreeview.tpl", sURL);   

    if (sParams != "") 
      sURL += "&" + sParams;

    _sHierarchyViewUrl = sURL;
    oMainView.OpenView(sURL, "MenuView");
  }
}

function SetHighlightForSubHeaderItem(vsSubHeaderItemId, vsClassSuffix) {
  if (!vsClassSuffix)
    vsClassSuffix = "";

  if (_sShownSubHeader) {
    oHeaderItem = document.getElementById("SubHeaderItem_" + _sShownSubHeader);
    if (oHeaderItem) 
      oHeaderItem.className = "";
  }

  oHeaderItem = document.getElementById("SubHeaderItem_" + vsSubHeaderItemId);
  if (oHeaderItem) 
    oHeaderItem.className = "Active";
}

function OpenTabAndSubHeaderView(vsTab, vsHierarchy)
{
  ShowSubHeader(vsTab, true);
  OpenSubHeaderView(vsHierarchy);
}

function OpenSubHeaderView(vsHierarchy, vsViewParameters, vbForceObjectId, vbTopLevelTabBeingChanged, vbDoNotStoreViewParameters)
{
  var oOldItem = oGetSubHeaderItem(_sShownSubHeader);
  var oNewItem = oGetSubHeaderItem(vsHierarchy);
  SetHighlightForSubHeaderItem(oNewItem ? oNewItem.sName : vsHierarchy, "<#IsRTL true="_rtl">");

  var slHierarchy = vsHierarchy.split('_');

  _sMenuURL = '<#VTNViewURL VTN="buttons" CRP="m">';
  if (slHierarchy.length == 2)
    _sMenuURL += '&PLUGIN=' + slHierarchy[0] + '&' + 'HIE=' + slHierarchy[1];
  else
    _sMenuURL += '&HIE=' + vsHierarchy;
  
  var sVar = 'sDefaultView_' + _sShownLayerId + '_' + vsHierarchy;
  var sNewViewParams;
  var sNewObjectId;

  var slRuntimeViewParams = sDirectGetNamedVariableValue(sVar, true).split("?");
  var slViewParams = sDirectGetNamedVariableValue(sVar, false).split("?");
  var sRuntimeViewParams = slRuntimeViewParams[0];
  var sViewParams = slViewParams[0];
  var sGroupViewParams = "";

  sNewObjectId = slRuntimeViewParams[1];
  if (!sNewObjectId)
    sNewObjectId = slViewParams[1];

  if (oOldItem && oNewItem && (oOldItem.sParameterGroup == oNewItem.sParameterGroup) && (oOldItem.sParameterGroup != "")) {
    sGroupViewParams = sFilterParameters(oNewItem.slParameterGroupParameters, _sParameters);

    var sCurrentObjectId = sGetCurrentObjectId();
    if (sCurrentObjectId)
      sNewObjectId = sCurrentObjectId;
  }
  
  if (!sNewObjectId)
    sNewObjectId = "";

  sNewViewParams = sImportParams(sRuntimeViewParams, sGroupViewParams);
  sNewViewParams = sImportParams(sViewParams, sNewViewParams);

//  alert("1:" + sGroupViewParams + "\r\n2:" + sRuntimeViewParams + "\r\n3:" + sViewParams + "\r\n->" + sNewViewParams + "\r\nObject: " + sNewObjectId);

  if (vsViewParameters) { // vsViewParameters always override default view settings
    var slViewParams = vsViewParameters.split("?");
    if (slViewParams[0])
      sNewViewParams = slViewParams[0];
    if (slViewParams[1])
      sNewObjectId = slViewParams[1];
  }

  if (!vbDoNotStoreViewParameters)
    SetNamedVariableValue(sVar, sNewViewParams + "?" + sNewObjectId, true);

  if (sNewObjectId && (sNewObjectId.length > 0))
    _sMenuURLOID = '&OID=' + sNewObjectId;
  else
    _sMenuURLOID = '';

  if (!vbTopLevelTabBeingChanged)
    WriteHierarchyWidthToCookie();  
  OpenMenuView(sNewViewParams, false, vsHierarchy);
  _sShownSubHeader = vsHierarchy;
}

function BeginLayer(vsLayerId)
{
  document.write('<div id="' + vsLayerId + '" style="position : absolute; visibility : hidden;">');
}
function EndLayer()
{
  document.write('</div>');
}

function UpdateFramesetForTab(vsShownLayerId)
{
  var oItem = oGetTab(_sShownLayerId);
  var oMainView = oGetMainView();
  if (oItem && oItem.bURLOnly) {
    if (oMainView && oMainView.UpdateForceHierarchyState)
      oMainView.UpdateForceHierarchyState(false);
    _sShownSubHeader = "";
    var oHierarchyView = oGetHierarchyView();
    if (oHierarchyView)
      oHierarchyView.location = "<#PageFileLocation>empty.html";
  }
  else if (oMainView && oMainView.UpdateForceHierarchyState)
    oMainView.UpdateForceHierarchyState(true);
}

var _sPrevSelHeaderItemId;

function SetHighlightForHeaderItem(vsHeaderItemId, vsClassSuffix) {
  if (!vsClassSuffix)
    vsClassSuffix = "";

  if (_sPrevSelHeaderItemId) {
    oHeaderItem = document.getElementById("HeaderItem_" + _sPrevSelHeaderItemId);
    if (oHeaderItem) 
      oHeaderItem.className = "";
  }

  _sPrevSelHeaderItemId = vsHeaderItemId;

  oHeaderItem = document.getElementById("HeaderItem_" + vsHeaderItemId);
  if (oHeaderItem) 
    oHeaderItem.className = "Active";
}

function ShowSubHeader(vsLayerId, vbOnlyHighlight, vbReLoadIfSame,
                       vsOriginalShownLayerId)
{
  var sShownLayerId = vsOriginalShownLayerId || _sShownLayerId;
  // set highlight
  SetHighlightForHeaderItem(vsLayerId, "<#IsRTL true="_rtl">");

  if (!vbReLoadIfSame && (sShownLayerId == vsLayerId))
    return;

  var oSubHeaderItem;
  if (sShownLayerId) {
    oSubHeaderItem = document.getElementById("SubHeaderItemDiv_" + sShownLayerId);
    if (oSubHeaderItem)
      oSubHeaderItem.style.display = "none";
  }

  oSubHeaderItem = document.getElementById("SubHeaderItemDiv_" + vsLayerId);
  if (oSubHeaderItem)
    oSubHeaderItem.style.display = "block";
  
  var oOrigItem = oGetTab(sShownLayerId);
  if (oOrigItem && !oOrigItem.bURLOnly)
    WriteHierarchyWidthToCookie();  
  
  _sShownLayerId = vsLayerId;

  UpdateFramesetForTab(_sShownLayerId);

  if (vbOnlyHighlight)
    return;

  var sVar = "sDefaultSubHeader_" + vsLayerId;
  var sURL = sDirectGetNamedVariableValue(sVar, true);

  if (sURL && (sURL.length > 0)) {
    SetNamedVariableValue(sVar, sURL, true);
    SetNamedVariableValue(sVar, undefined);
  }
  else
    sURL = sGetNamedVariableValue(sVar);

  if (sURL && (sURL != null) && (sURL != '')) 
    OpenSubHeaderView(sURL, undefined, undefined, true);
}

function OnLoadHeaderView()
{ 
  if (!bIsValidCookieSession || !bIsValidCookieSession()) {
    var sHeaderToOpen = "mycontents";
    for(var i = 0; i < document.links.length; i++) {
      if(document.links[i].name == sDefaultHeader) {
        sHeaderToOpen = sDefaultHeader;
        break;
      }
    }
  
    ShowSubHeader(sHeaderToOpen);
  }
}

function sGetViewDescriptor()
{
  if ((typeof _sShownLayerId != "undefined") && _sShownLayerId)
    return _sShownLayerId;
  return "";
}

function sGetSubViewDescriptor()
{
  if ((typeof _sShownSubHeader != "undefined") && _sShownSubHeader)
    return _sShownSubHeader;
  return "";
}

function bIsHomeView() 
{
  return ((sGetViewDescriptor() == "mycontents") && (sGetSubViewDescriptor() == "home"))
}

function sGetCurrentViewObjectId()
{
  if (bIsHomeView()) {
    var sInfoURL = oGetMainView().sGetInformationViewLocation();
    var iBID = sGetParameter("BID", sInfoURL);
    if (iBID)
      return iBID;
  }
  var oView = oGetHierarchyTreeView();
  if ((!oView) || (typeof oView.sGetCurrentViewObjectId == "undefined"))
    return ""; 
  var sResult = oView.sGetCurrentViewObjectId();
  if (!sResult) 
    return "";
  return sResult;
}

function sGetViewParameters()
{
  var sResult;

  if ((_sParameters == null) || (_sParameters == undefined))
    sResult = '?';
  else
    sResult = _sParameters + '?';

  return sResult + sGetCurrentViewObjectId();
}

function sGetCurrentObjectId()
{
  return sGetCurrentViewObjectId();
}

var sDefaultViewHDR, sDefaultViewSUBHDR, sDefaultViewParams, sDefaultTabName;

function sGetSetAsDefaultViewParameters(vbForBookmarkURL)
{
  var oMainView = oGetMainView();
  if (!oMainView)
    return "";
  
  var sObjectId = sGetCurrentViewObjectId();
  var sParams;
  sDefaultViewHDR = sGetViewDescriptor();
  sDefaultViewSUBHDR = sGetSubViewDescriptor();
  sDefaultViewParams = sGetViewParameters();
  sDefaultTabName = sGetShownTabName();
  if (vbForBookmarkURL) {
    var arSections = sDefaultViewParams.split("?");
    var arParams = arSections[0].split("&");

    for (var i = arParams.length - 1; i >= 0 ; --i) {
      var sParam = arParams[i];
      var iPos = sParam.indexOf("=");
      if (iPos >= 0) {
        var sName = sParam.slice(0, iPos);

        if (oMainView.bIsRegisteredAutomaticHierarchyParameter(sName))
          arParams.splice(i, 1);
      }
    }

    arSections[0] = arParams.join("&")
    var sView = sEncodeURI(arSections.join("?"));
    sParams = 'HDR=' + sDefaultViewHDR + '&SUBHDR=' + sDefaultViewSUBHDR + '&VIEW=' + sView + '&TAB=' + sEncodeURI(sDefaultTabName);
  }
  else
    sParams = 'HDR=' + sDefaultViewHDR + '&SUBHDR=' + sDefaultViewSUBHDR + '&VIEW=' + sEncodeURI(sDefaultViewParams) + '&TAB=' + sEncodeURI(sDefaultTabName);
  return sParams;
}

function sGetHierarchyParameters()
{
  return _sParameters;
}

function SetViewObjectId(vsId)
{
  _sMenuURLOID = '&OID=' + vsId;
  OnSelectionChanged();

  var sVar = 'sDefaultView_' + _sShownLayerId + '_' + _sShownSubHeader;
  SetNamedVariableValue(sVar, _sParameters + "?" + vsId, true);
}

function UpdateHierarchyParametersAndPortalStateWithoutRefresh(vsParameters)
{
  _sParameters = vsParameters;

  var sNewObjectId = "";
  sNewObjectId = sGetCurrentObjectId();
  if (sNewObjectId) 
    _sMenuURLOID = '&OID=' + sNewObjectId;

  OnSelectionChanged();

  var sVar = 'sDefaultView_' + _sShownLayerId + '_' + _sShownSubHeader;
  SetNamedVariableValue(sVar, vsParameters + "?" + sNewObjectId, true);
}

function ReloadHierarchyToMakeObjectVisible(vsFullId, vbDontRefresh)
{
  UpdateHierarchyParameters(_sParameters, false, vbDontRefresh, false, true, vsFullId);
}

function ReloadHierarchyWithModifiedParameters(vsParameters)
{
  _sParameters = sSetParameters(vsParameters, _sParameters, true);
  UpdateHierarchyParameters(_sParameters, true, false, false, false);
}

function ReloadHierarchyView()
{
  UpdateHierarchyParameters(_sParameters, true, false, false, false);
}

function UpdateHierarchyParameters(vsParameters, vbKeepSelectedTreeItem, vbDontRefresh, vbUseEmptyOidValue, vbDontStoreParameters, vsObjectId)
{
  if (vbDontRefresh) {
    if (!vbDontStoreParameters) 
      _sParameters = vsParameters;
  }
  else {
    var sNewObjectId = "";
    if (vbKeepSelectedTreeItem) {
      sNewObjectId = sGetCurrentObjectId();
      if (sNewObjectId) 
        _sMenuURLOID = '&OID=' + sNewObjectId;
    }
    else if (vsObjectId) {
      sNewObjectId = vsObjectId;
      _sMenuURLOID = '&OID=' + sNewObjectId;
    }
    if (vbUseEmptyOidValue) {
      _sMenuURLOID = '';
    }
    OnSelectionChanged();

    var sVar = 'sDefaultView_' + _sShownLayerId + '_' + _sShownSubHeader;
    var sNewParameters = vsParameters;
    var sExistingParameters = sGetNamedVariableValue(sVar);
    sNewParameters = sImportParams(sExistingParameters, sNewParameters, true);
    SetNamedVariableValue(sVar, sNewParameters + "?" + sNewObjectId, true);
    OpenMenuView(sNewParameters, vbDontStoreParameters, _sShownSubHeader);
  }
}

function OnSelectionChanged()
{
  sDefaultViewHDR = sGetViewDescriptor();
  sDefaultViewSUBHDR = sGetSubViewDescriptor();
  
  if ((sDefaultViewHDR == 'mycontents') && (sDefaultViewSUBHDR == 'home')) 
    return;
  
  sDefaultViewParams = sGetViewParameters();
  
  var sObjectId = sGetCurrentObjectId();
  if (sObjectId)
    _sHierarchyViewUrl = sSetParameter("OID", sObjectId, _sHierarchyViewUrl);

  SetDefaultView(sDefaultViewHDR, sDefaultViewSUBHDR, sDefaultViewParams);
}

function SetDefaultView(vsDefaultViewHDR, vsDefaultViewSUBHDR, vsDefaultViewParams)
{
  var sVar = "sDefaultView_" + vsDefaultViewHDR + "_" + vsDefaultViewSUBHDR;

  var sVal = sDirectGetNamedVariableValue(sVar, true);
  var slVal = sVal.split('?');

  if (!sVal || ((slVal.length > 1) && (slVal[1].length == 0)))
    SetNamedVariableValue(sVar, vsDefaultViewParams, true);

  if (!vsDefaultViewSUBHDR || (vsDefaultViewSUBHDR == "")) 
    return;

  SetNamedVariableValue("sDefaultSubHeader_" + vsDefaultViewHDR, vsDefaultViewSUBHDR, true);
}

function RefreshDefaultView()
{
  SetNamedVariableValue("sDefaultSubHeader_" + sDefaultViewHDR, sDefaultViewSUBHDR);
  SetNamedVariableValue("sDefaultView_" + sDefaultViewHDR + "_" + sDefaultViewSUBHDR, sDefaultViewParams);
}

function refreshBookmarks(vsHDR, vsSUBHDR, vsParams)
{
  if (vsHDR && (vsHDR != "")) {
    SetDefaultView(vsHDR, vsSUBHDR, vsParams);
  }

  if ((sGetViewDescriptor() == "mycontents") && (sGetSubViewDescriptor() == "home")) {
    OpenSubHeaderView("home");
  }
  
  RefreshQuickLinks();
}

function sGetHelpContextForEmptyView()
{
  var sURL = oGetHierarchyTreeView().location.href;
  var sPlugin = sGetParameter("PLUGIN", sURL);
  var sTPL = sGetParameter("TPL", sURL);
  var sHIE = sGetParameter("HIE", sURL);
 
  switch (sTPL)
  {
    case "navigatorhierarchytreeview.tpl":
      if (sPlugin == "SCPLUGIN")
        return "sc_navigator.htm";
      else
        return "pg_navigator.htm";
      break;
    case "actiondiscussionhierarchytreeview.tpl":
      return "action_discussions.htm";
      break;
    case "actionbyuserhierarchytreeview.tpl":
      return "action_byuser.htm";
      break;
    case "analysishierarchytreeview.tpl":
      if (sPlugin == "PGPLUGIN")
        return "pg_analysis.htm";
      else
        return "sc_analysis.htm";
      break;
    case "informationitemshierarchytreeview.tpl":
      return "information_items_view.htm";
      break;
    case "matriceshierarchytreeview.tpl":
      return "matrixview.htm";
      break;
    case "hierarchytreeview.tpl":
      if (sHIE == "reports")
        return "reports.htm";
      else
        return "";
      break;
    default:
      return "";
  }
}

function sGetHelpFile(vsFilename)
{
  var sURL, sContext;

  if ($("#ToolFrameDiv").css("display") == "block") {
    sURL = sDecodeURI('<#HelpURL>');
    if (vsFilename)
      sURL += '?' + vsFilename;
    else 
      sURL += '?' + "office_export.htm";
    return sURL;
  }
  if (InformationView.sGetHelpFile) 
    sURL = InformationView.sGetHelpFile();
  if (!sURL) {
    sURL = sDecodeURI('<#HelpURL>');

    if (vsFilename)
      sURL += '?' + vsFilename;
    else if (InformationView.getHelpContext) {
      sContext = InformationView.getHelpContext();
      if (sContext)
        sURL += '?' + sContext;
    }
    else {
      // try to find help context for the empty page
      sContext = sGetHelpContextForEmptyView();
      if (sContext && (sContext != ''))
        sURL += '?' + sContext;
      else
      {
        var sHierarchy = sGetSubViewDescriptor();
        var slHierarchy = sHierarchy.split('_');
        if ((slHierarchy.length == 1) && (slHierarchy == "byhierarchy" || slHierarchy == "byuser" || slHierarchy == "bytime"))
          sURL += '?' + 'actions.htm';
        if (slHierarchy.length == 2)
          sURL += '?' + slHierarchy[1] + '.htm';
      }
    }
  }
  return sURL;
}

function sGetMenuId()
{
  return _sShownLayerId + _sShownSubHeader;
}

function ShowFirstVisibleHeader(vsPlugin) {
  var sHeader = _sShownSubHeader;
  for (var i=0; i < document.links.length; i++) {
    if (document.links[i].name.indexOf(vsPlugin) >= 0) {
      if ((document.links[i].className == "notSelectedSubHeaderItemB") || (document.links[i].className == "SelectedSubHeaderItemB")) {
        sHeader = document.links[i].name;
      }
    }
    if ((document.links[i].name == _sShownSubHeader) &&
    ((document.links[i].className == "notSelectedSubHeaderItemB") || (document.links[i].className == "SelectedSubHeaderItemB"))) {
      return;
    }
  }
  if (!(sHeader == _sShownSubHeader)) {
    ShowSubHeader(sHeader);
  }
}

function oGetTab(vsTabId)
{
  vsTabId = vsTabId ? vsTabId.toLowerCase() : "";
  var i, oItem;
  for (i = 0; i < _arTabs.length; ++i) {
    oItem = _arTabs[i];
    if (oItem.sName.toLowerCase() == vsTabId)
      return oItem;
  }
}

function sGetShownTabName()
{
  var oItem = oGetTab(_sShownLayerId);
  if (oItem)
    return oItem.sLabel;
}

function oGetSubHeaderItem(vsSubHeaderId)
{
  vsSubHeaderId = vsSubHeaderId ? vsSubHeaderId.toLowerCase() : "";
  var i, oItem;
  for (i = 0; i < _arSubHeaders.length; ++i) {
    oItem = _arSubHeaders[i];
    if (oItem.sName.toLowerCase() == vsSubHeaderId)
      return oItem;
  }
}

function sGetShownSubHeaderName()
{
  var oItem = oGetSubHeaderItem(_sShownSubHeader);
  if (oItem)
    return oItem.sLabel;
  return "";
}

function oGetFirstVisibleSubHeaderItem(vsTabId)
{
  var i, oItem;
  for (i = 0; i < _arSubHeaders.length; ++i) {
    oItem = _arSubHeaders[i];
    if ((oItem.sParent == vsTabId) && !oItem.bIsHidden)
    {
      return oItem;
    }
  }
}

function OnHierarchyLoaded()
{
  var oItem = oGetSubHeaderItem(_sShownSubHeader);
  if (oItem && oItem.bIsHidden) {
    oItem = oGetFirstVisibleSubHeaderItem(_sShownLayerId);
    if (oItem)
      OpenSubHeaderView(oItem.sName);
  }

  RefreshHierarchyHeaderView();
}

function CallSubmitURL(vsURL, vsTarget, vbSubView)
{
  OpenViewDirectly(vsURL, vsTarget, document.body.id, vbSubView);
}

function SubmitURL(vsURL, vsParams, vsTarget, vbSubView)
{
  OpenViewDirectly(sSetParameters(vsParams, vsURL), vsTarget, null,
                   vbSubView);
}

function OpenBookmarkManagerWindow(vsURL)
{
  OpenWindow(vsURL, 'SettingsWindow', 640, 400, 0);
}

function OnProcesses()
{
  ShowSubHeader("processes");
}

function OnPerformance()
{
  ShowSubHeader("scorecards");
}

function OnOpenQlikView()
{
  var sURL = document.location.protocol + "//" + document.location.host + QLIKVIEW_LOGIN_PORT_AND_PATH;
  var oHierarchyView = oGetHierarchyView();
  if (oHierarchyView)
    oHierarchyView.location = sURL;
}

function OnHome()
{
  var oMainView = oGetMainView();
  if (oMainView)
    oMainView.OpenDefaultView();
}

function OpenInformationViewForTopLevelURLTab(vsLayerId, vsURL)
{
  ShowSubHeader(vsLayerId, true);

  var oMainView = oGetMainView();
  if (oMainView)
    oMainView.SetInformationViewLocation(vsURL, false, true);
}

function OpenFrameset(vsInformationViewUrl, vsTab, vsSubPage, vsParams, vsObjectId, vsExcludeView, vsFramesetOnly, vbUrlVerified)
{
  var bFramesetOnly = SafeParseInt(vsFramesetOnly, 0) != 0;
  var bDynamic = bIsDynamicBookmarkURL(vsInformationViewUrl);

  if (bDynamic && (!vbUrlVerified && !bFramesetOnly)) {
    // Verify Url availability
    $.get(sSetParameter(ACT_PARAM_LINK_AVAILABILITY_TEST, "1", vsInformationViewUrl), {}, function (data) {
      if (trim(data)) {
        OpenFrameset(vsInformationViewUrl, vsTab, vsSubPage, vsParams, vsObjectId, vsExcludeView, vsFramesetOnly, true);
      }
      else {
        var sErrorUrl = sGetBaseURL("QPRPORTAL", "pumsg");
        sErrorUrl = sSetParameter("TYP", "0", sErrorUrl);
        sErrorUrl = sSetParameter("BTYP", "0", sErrorUrl);
        sErrorUrl = sSetParameter("MSG", "<#LocalizedText id="The bookmarked view is currently unavailable.">", sErrorUrl);
        SetInformationViewLocation(sErrorUrl);
      }
    });
    return;
  }
  
  if (vsObjectId && !vsParams)
    vsParams = "?" + vsObjectId;
  var bExcludeView = SafeParseInt(vsExcludeView, 0) != 0;
  if (!bExcludeView && !bFramesetOnly) {
    _bInformationViewLocked = true;
    var sOriginalShownLayerId = _sShownLayerId;
    _sShownLayerId = _sHeadViewName = vsTab;
    _sShownSubHeader = _sSubsHeadViewName = vsSubPage;
    _sSubsHeadViewParams = vsParams;
    OpenInformationViewWithCallback(vsInformationViewUrl,
      function() {
        ShowSubHeader(_sHeadViewName, true, false, sOriginalShownLayerId);

        OpenSubHeaderView(_sSubsHeadViewName, _sSubsHeadViewParams,
                          true, true, _sSubsHeadViewName === "home");
      });
  }
  else {
    if (bExcludeView)
      vsParams = "";

    ShowSubHeader(vsTab, true);

    OpenSubHeaderView(vsSubPage, vsParams, true, true, _sSubsHeadViewName === "home");
  }
}

function OpenQuickLink(vsUrl, vsId)
{
  var bDynamic = bIsDynamicBookmarkURL(vsUrl);
  vsUrl = sGetFullBookmarkUrl(vsUrl);

  var sTab, sSubPage, sParams, sExcludeView, sFramesetOnly;
  if (bDynamic) {
    sTab = sGetParameter(ACT_PARAM_SELECTED_TAB, vsUrl);
    sSubPage = sGetParameter(ACT_PARAM_SELECTED_TAB_PAGE, vsUrl);
    sParams = sDecodeURI(sGetParameter(ACT_PARAM_SELECTED_TAB_PAGE_PARAMETERS, vsUrl));
    sExcludeView = sGetParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, vsUrl);
    sFramesetOnly = sGetParameter(ACT_PARAM_BOOKMARK_FRAMESET_ONLY, vsUrl);
    vsUrl = sRemoveParameter(ACT_PARAM_SELECTED_TAB_PAGE_PARAMETERS, sRemoveParameter(ACT_PARAM_SELECTED_TAB_PAGE, sRemoveParameter(ACT_PARAM_SELECTED_TAB, sRemoveParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, sRemoveParameter(ACT_PARAM_BOOKMARK_FRAMESET_ONLY, vsUrl)))));
    var sSessionId = sGetParameter(ACT_PARAM_SESSION_ID, sGetDocumentLocation());
    var sLanguage = sGetParameter(ACT_PARAM_LANGUAGE, sGetDocumentLocation());
    vsUrl = sSetParameter(ACT_PARAM_SESSION_ID, sSessionId, sSetParameter(ACT_PARAM_LANGUAGE, sLanguage, vsUrl));
  }

  if (!sTab) {
    sTab = "mycontents";
    sSubPage = "home";
    sParams = "?" + vsId;
  }

  OpenFrameset(vsUrl, sTab, sSubPage, sParams, vsId, sExcludeView, sFramesetOnly, false);
}
</script>

<div id="HeaderWrapper" class="ui-layout-outer-north">
  <div id="MiniToolbar">
    <div id="MiniLogo">
      <img src="<#ImageFileLocation>qprlogo_mini.png" alt="QPR" />
    </div>

    <div id="MiniToolbarNavigationMenu">
      <ul id="MiniToolbarNavigationMenuRoot" class="menu">
      </ul>
    </div>

    <div id="RestorePortalFramesetWrapper">
      <a href="javascript:RestorePortalFrameset();" title="<#LocalizedText id="Standard Portal">"><img src="<#PortalImageFileLocation>btn_restore.gif"></a>
    </div>
    <div id="MiniSearchFormPlaceholder">
    </div>
    <div id="MiniToolbarToolsMenu">
      <ul id="MiniToolbarToolsMenuRoot" class="menu">
      </ul>
    </div>
    
    <div class="Clearer"></div>

<#Include template="jsobjectqueryurlutils.tpl">

<script type="text/javascript">
  var _iMiniToolbarMaxQuickLinkWidth;
  var _iMiniToolbarMinimumWidth;

  function bMiniToolbarStaticDataInitialized()
  {
    return _iMiniToolbarMaxQuickLinkWidth > 0;
  }

  <#ForEach attribute="quicklinks:public=1,private=1" maxcount="100" where="" sort="Index" fields="initialization" configuration="quicklinksrefresh.ini">

  function RefreshQuickLinks()
  {
    var sUrl = sGetForEachURL("initialization", "quicklinks:public=1,private=1", "", "quicklinksrefresh.ini", "Index", 100, 0);
    callFunction(sUrl, OnQuickLinksRead);
  }

  function OnQuickLinksRead(vsResult, vsData)
  {
    if (vsResult !== "OK")
      return;
    _arQuickLinks = new Array();
    eval(vsData);
    RefreshMiniToolbarNavigation(true);
  }

  function OnClickMenuItem(voEvent, voMenuItem)
  {
    $.Menu.closeAll();
    var oAnchor = $(voEvent.target).find("a").get(0);
    if (oAnchor)
      OpenAnchorHref(oAnchor);
  }
  
  function sGetNavigationMenu()
  {
    var sHTML = "<li class='menumain' id='MiniToolbarHome'><a href='#'><#LocalizedText id="Home"><img src='<#ImageFileLocation>dropmenu.gif' /><\/a><ul id='MiniToolbarNavigation'>";

    for (var i = 0; i < _arTabs.length; ++i) {
      var oItem = _arTabs[i];
      if (!oItem.bIsHidden && oItem.bVisible) {
        sHTML += "<li class='menumain'>" + sGetCaptionToolbarIconButtonHTML(oItem.sLabel, "javascript:ShowSubHeader(\"" + oItem.sName + "\");", "<#ImageFileLocation>icon_bookmark.gif");
        if (oItem.arSubHeaders && oItem.arSubHeaders.length > 0) {
          var arSubHeaders = oItem.arSubHeaders;
          sHTML += "<ul>";
          for (var t = 0; t < arSubHeaders.length; ++t) {
            var oSubItem = arSubHeaders[t];
            if (oSubItem.bVisible)
              sHTML += "<li class='menumain'>" + sGetCaptionToolbarIconButtonHTML(oSubItem.sLabel, "javascript:OpenTabAndSubHeaderView(\"" + oSubItem.sParent + "\", \"" + oSubItem.sName + "\");", "<#ImageFileLocation>icon_bookmark.gif") + "<\/li>";
          }
          sHTML += "<\/ul>";
        }

        sHTML += "<\/li>";
      }
    }

    sHTML += "<\/ul><\/li>";
    return sHTML;
  }
  
  function sGetQuickLinksMenu(vbReInitializeLinkCount)
  {
    var sHTML = "";
    var sFolderLabel = "";
    var bInFolder = false;

    for (var i = 0; i < _arQuickLinks.length; ++i) {
      var oLink = _arQuickLinks[i];
      var sUrl = oLink.psUrl;
      var sLabel = oLink.psLabel;

      if (oLink.piMode == 2)
      {
        if (bInFolder)
          sHTML += "<\/ul><\/li>";

        bInFolder = true;
        sFolderLabel = oLink.psLabel;
        sHTML += "<li class='menumain' id='MiniToolbarQuickLink" + (i + 1) + "''><a href='#'>" + sLabel + "<img src='<#ImageFileLocation>dropmenu.gif' /><\/a><ul>";
      }
      else
      {
        if (bInFolder && (sLabel.indexOf(sFolderLabel) == 0))
          sLabel = sLabel.substring(sFolderLabel.length);

        if (sUrl)
        {
          var sIcon = ((oLink.piMode == 0) && bInFolder) ? "<img src='<#ImageFileLocation>icon_bookmark.gif' \/>" : "";
          sHTML += "<li class='menumain' id='MiniToolbarQuickLink" + (i + 1) + "'><a class='IconlessToolbarIconButton' href='javascript:OpenQuickLink(\"" + sUrl + "\", \"" + oLink.psId + "\");' title='" + sLabel + "'>" + sIcon + "&nbsp;" + sLabel + "<\/a><\/li>";
        }
        else
          sHTML += "<li class='menumain' id='MiniToolbarQuickLink" + (i + 1) + "'>" + sLabel + "<\/li>";
      }
    }

    if (bInFolder)
      sHTML += "<\/ul><\/li>";

    if (vbReInitializeLinkCount)
      RequestResizeMiniToolbar();

    return sHTML;
  }

  function sGetToolsMenu()
  {
    var sImagePath = "<#PortalImageFileLocation>";
    var sHTML = "<li class='menumain'><a href='#'><#LocalizedText id="Tools"><img src='<#ImageFileLocation>dropmenu.gif' /><\/a><ul id='MiniToolbarTools'>";

    sHTML += sGetToolbarLeftHTML(sImagePath, true);
    var sRightHTML = sGetToolbarRightHTML(sImagePath, true);
    if (sRightHTML)
      sHTML += "<li></li>" + sRightHTML;

    if (<#AllowProfileChangesForViewers true="true" false="false" not_a_viewer="true">)
      sHTML += "<li></li>" +
               sGetToolbarIconButtonHTMLForSizedPopup("<#LocalizedText id="Settings">", "<#VTNViewURL VTN="settings">", 680, 400, sImagePath + "icon_settings.png");

    sHTML += "<\/ul><\/li>" +
             "<li class='menumain'><a href='javascript:OpenHelpWindow(sGetHelpFile());undefined;'><#LocalizedText id="Help"><\/a><\/li>" +
             "<li class='menumain'><a href='javascript:OnLogout();'><#LocalizedText id="Logout"><\/a><\/li>";

    return sHTML;
  }

  function RefreshMiniToolbarNavigation(vbReInitializeLinkCount)
  {
    $("#MiniToolbarNavigationMenuRoot").empty();

    var sHTML = sGetNavigationMenu() + sGetQuickLinksMenu(vbReInitializeLinkCount);
    var oNavigationMenu = document.getElementById("MiniToolbarNavigationMenuRoot");

    var bVisibleLinkCountIsValid = !vbReInitializeLinkCount;
    oNavigationMenu.style.visibility = bVisibleLinkCountIsValid ? "visible" : "hidden";
    oNavigationMenu.innerHTML = sHTML;

    if (bVisibleLinkCountIsValid) {
      $('#MiniToolbarNavigationMenuRoot').menu(
        {
          minWidth: 160, 
          hoverOpenDelay: 0,
          offsetTop: 0,
          offsetLeft: 0,
          arrowSrc: "<#ImageFileLocation>" + (bIsRTL() ? "submenu_rtl.gif" : "submenu.gif"), 
          onClick: OnClickMenuItem
        }
      ); 
    }
  }

  function RefreshMiniToolbarTools()
  {
    $("#MiniToolbarToolsMenuRoot").empty();

    var sHTML = sGetToolsMenu();
	sHTML = sGetReportsToolbarIconButtonHTML(true) + sHTML;
    var oToolsMenu = document.getElementById("MiniToolbarToolsMenuRoot");
    oToolsMenu.innerHTML = sHTML;

    $('#MiniToolbarToolsMenuRoot').menu(
      {
        minWidth: 160, 
        hoverOpenDelay: 0,
        offsetTop: 0,
        offsetLeft: 0,
        arrowSrc: "<#ImageFileLocation>" + (bIsRTL() ? "submenu_rtl.gif" : "submenu.gif"), 
        onClick: OnClickMenuItem
      }
    );   
  }

  function RefreshMiniToolbar(vbRefreshWholeToolbar)
  {
    if (!_bMinimizedPortalFrameset) 
      return;

    if (vbRefreshWholeToolbar && !_iMiniToolbarMaxQuickLinkWidth)
      RequestResizeMiniToolbar();

    if (vbRefreshWholeToolbar) {
      $("#root-menu-div").empty(); // reset jQuery.menu root container
      RefreshMiniToolbarNavigation();
    }
    RefreshMiniToolbarTools();
  }

  var _iMiniToolbarResizeTimeoutId;
  
  function RequestResizeMiniToolbar()
  {
    if (_iMiniToolbarResizeTimeoutId)
      clearTimeout(_iMiniToolbarResizeTimeoutId);
    _iMiniToolbarResizeTimeoutId = setTimeout(ResizeMiniToolbar, 20);
  }
  
  function FUpdateQuickLinkWidthsIfNeeded()
  {
    var bInFolder = false;

    for (var i = 0; i < _arQuickLinks.length; ++i) {
      var oLink = _arQuickLinks[i];
      var bFolder = (oLink.piMode == 2);

      if (bFolder)
        bInFolder = true;

      if (oLink.piWidth || (bInFolder && !bFolder)) // Widths already initialized or inside folder -> skip.
        continue;

      var oQuickLink = $("#MiniToolbarQuickLink" + (i + 1));
      if (oQuickLink.size() == 1)
        oLink.piWidth = oQuickLink.outerWidth();
      else
        return;
    }
  }  
  
  function ResizeMiniToolbar()
  {
    var undefined;
    _iMiniToolbarResizeTimeoutId = undefined;

    if (!_bMinimizedPortalFrameset) 
      return;

    if (!bMiniToolbarStaticDataInitialized()) {
      _iMiniToolbarMaxQuickLinkWidth = parseInt($("#MiniToolbarHome").css("max-width"));
      if (!_iMiniToolbarMaxQuickLinkWidth)
        _iMiniToolbarMaxQuickLinkWidth = 160;
    }

    var iTmp = $("#MiniLogo").outerWidth();
    iTmp += $("#MiniToolbarHome").outerWidth();
    if (IEANY)
      iTmp += 180;
    else
      iTmp += $("#MiniToolbarToolsMenu").outerWidth();
    iTmp += $("#MiniSearchFormPlaceholder").outerWidth();
    iTmp += $("#RestorePortalFramesetWrapper").outerWidth();
    iTmp += _iMiniToolbarMaxQuickLinkWidth;
    iTmp += 50; // reserve some extra room for paddings & margins

    if (isNaN(iTmp)) {
      return;
    }
    
    if (!_iMiniToolbarMinimumWidth || (iTmp < _iMiniToolbarMinimumWidth)) {
      _iMiniToolbarMinimumWidth = iTmp;
      $("#MiniToolbar").get(0).style.minWidth = _iMiniToolbarMinimumWidth + "px";
    }

    FUpdateQuickLinkWidthsIfNeeded();
    
    var iWidthLeft = $(window).width() - (_iMiniToolbarMinimumWidth - _iMiniToolbarMaxQuickLinkWidth);
    var bInFolder = false;
    
    for (var i = 0; i < _arQuickLinks.length; ++i) {
      var oQuickLink = _arQuickLinks[i];
      var iLinkWidth = oQuickLink.piWidth;

      if ((_arQuickLinks.length > i + 1) && (iWidthLeft < iLinkWidth))
        break;

      var bFolder = (oQuickLink.piMode == 2);

      if (bFolder)
        bInFolder = true;

      if (bFolder || !bInFolder)
      {
        if (iWidthLeft >= iLinkWidth)
          iWidthLeft -= iLinkWidth;
        else
          break;
      }
    }

    RefreshMiniToolbar(true);
  }
  
  $(window).resize( RequestResizeMiniToolbar );
</script>
  </div>
  
  <div id="HeaderRow">
    <div id="HeaderRowLeft">
      <ul class="HeaderRow">
        <#ToolBar template="headertoolbar.tpl" configuration="headeritems.ini">
      </ul>
    </div>
    <div id="HeaderRowRight">
      <div id="SearchFormPlaceholder">
        <div id="SearchFormWrapper" class="SearchForm">
          <input type="text" name="SearchText" id="SearchText" />

      	  <div id="QuickSearchButtonBackground">
        		<a id="SearchButton" href="javascript:QuickSearch();">
        		  <img src="<#PortalImageFileLocation>icon_quicksearch.png">
        		</a>
      	  </div>
        </div>
      </div>
      <div id="MinimizePortalFramesetWrapper">
        <a href="javascript:MinimizePortalFrameset();" title="<#LocalizedText id="Mini Portal">"><img src="<#PortalImageFileLocation>btn_minimize.gif"></a>
  	  </div>
<script type="text/javascript">
  var oText;

  if (_sSearchCriteria && (_sSearchCriteria != undefined) && (trim(_sSearchCriteria) != '')) {
    document.getElementById('SearchText').value = _sSearchCriteria;
  }

  document.getElementById('SearchText').onkeydown = TXTKeyDown;
  function TXTKeyDown(vEvent) {
    var keyCode = (CheckNavigator() == IE) ? window.event.keyCode : vEvent.which;
    if (keyCode == 13) {
      QuickSearch();
    }
  }

  function OpenSearchView(vsURL)
  {
    SetInformationViewLocation(vsURL);
    InformationView.location = vsURL;
  }
    
  function QuickSearch()
  {
    oText = document.getElementById("SearchText");
    var sTextToSearch = trim(oText.value);
    if (sTextToSearch == "<#LocalizedText id="Search">")
      sTextToSearch = "";
    
    var sSearchUrl = "<#SettingValue section="WS Settings" key="SearchServerLocation">";

    if (sTextToSearch.length < 1) {
      if (sSearchUrl)
        sSearchUrl += "/results_simple.aspx";
      else
        sSearchUrl = '<#VTNViewURL VTN="SEARCH">';
    }
    else {
      if (sSearchUrl)
        sSearchUrl += "/results_simple.aspx?k=" +sEncodeURI(sTextToSearch);
      else
        sSearchUrl = '<#VTNViewURL VTN="SEARCH" CRP="p" PGPLUGIN="1" SCPLUGIN="1" QPRPORTAL="1">&TXT='+ sEncodeURI(sTextToSearch);
    }
    OpenSearchView(sSearchUrl);
    ResetQuickSearch();
  }

  function ResetQuickSearch()
  {
    $("#SearchText").placehold({blurClass: "Blur", focusClass: "", placeholdValue: sDecodeURI("<#LocalizedText enc="url" id="Search">") });
    $("#SearchFormWrapper").focus();
  }

  ResetQuickSearch();
</script>
    </div>
  </div>
  
  <div id="SubHeaderRowWrapper">
    <div id="SubHeaderRow">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="mycontentsheaderitems.ini" tab="mycontents">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="actionheaderitems.ini" tab="actions">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="processesheaderitems.ini" dependencies="PGPlugin" tab="processes">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="scorecardsheaderitems.ini" dependencies="SCPlugin" tab="scorecards">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="reportsheaderitems.ini"  tab="reports">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="workflowsheaderitems.ini"  tab="workflows">
      <#ToolBar template="subheadertoolbar.tpl" separator="subheaderseparator.tpl" configuration="qlikviewheaderitems.ini" tab="qlikview">
    </div>
  </div>

  <div class="Clearer"></div>

  <div id="ToolBarWrapper">
    <div id="ToolBar">
      <ul id="ToolBarLeft" class="ToolBarLeft">
      </ul>
      <ul id="ToolBarRight" class="ToolBarRight">
      </ul>
      <div class="Clearer"></div>
    </div>
  </div>  
</div>
<!-- [QPRTemplateEnd: headerview.tpl] -->
